fsarchiver (0.8.8-3) unstable; urgency=medium

  * Support for xfs features up to linux 6.18.
    Patch cherry-picked from upstream Git. (Closes: #1126428)

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Feb 2026 14:25:58 +0100

fsarchiver (0.8.8-2) unstable; urgency=medium

  * Remove reiser4progs Suggests.
    The reiser4progs package has been removed due to being unmaintained and
    dead upstream. (Closes: #1119004)
  * Bump Standards-Version to 4.7.2
  * Enable all hardening build flags

 -- Michael Biebl <biebl@debian.org>  Sun, 26 Oct 2025 16:41:20 +0100

fsarchiver (0.8.8-1) unstable; urgency=medium

  * New upstream version 0.8.8
  * Drop patches, merged upstream
  * autopkgtest: Refactor backup-and-restore file system tests.
    Pull out common code which is shared between ext4 and XFS.
  * autopkgtest: Drop .sh suffix from tests
  * autopkgtest: Use the kernel provided RNG to generate a UUID.
    This allows us to drop the uuid-runtime dependency but requires /proc to
    be mounted.
  * autopkgtest: Use more suitable temporary mount point.
    Using /mnt as temporary mount point is prone to clash with an existing
    configuration. So use one in /tmp (created by mktemp) instead.
  * autopkgtest: Add test for btrfs.
    It currently fails, so mark it as flaky.
  * autopkgtest: Print debug output when the restore fails.
    Include an excerpt of the recent kernel log as well as it might contain
    useful information.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Dec 2024 13:13:29 +0100

fsarchiver (0.8.7-2) unstable; urgency=medium

  * Use "patch-numbers=False" for gbp-pq
  * Provide compatibility with e2fsprogs >= 1.47.2.
    The "-r" option has been replaced in mke2fs in favor of "-E revision=".
    Thanks to Theodore Ts'o. (Closes: #1088960)
  * Change Build-Depends: pkg-config => pkgconf
  * Bump Standards-Version to 4.7.0

 -- Michael Biebl <biebl@debian.org>  Sat, 07 Dec 2024 17:24:52 +0100

fsarchiver (0.8.7-1) unstable; urgency=medium

  * New upstream version 0.8.7
    - Fixes compatibility with e2fsprogs >= 1.47. (Closes: #1033117)
  * Update debian/watch.
    Use the GitHub API when checking for new upstream releases.
  * Bump Standards-Version to 4.6.2
  * Update obsolete Build-Depends e2fslibs-dev => libext2fs-dev

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Mar 2023 20:34:29 +0200

fsarchiver (0.8.6-2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Update XFS test to use a 500MB filesystem as mkfs.xfs now imposes a 300MB
    minimum size since 6.0.0

  [ Michael Biebl ]
  * Bump Standards-Version to 4.6.1

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Dec 2022 11:05:21 +0100

fsarchiver (0.8.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Michael Biebl ]
  * New upstream version 0.8.6
  * Bump Standards-Version to 4.5.1
  * Switch to debhelper-compat and bump compat level to 13
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse
  * Use https for upstream homepage

 -- Michael Biebl <biebl@debian.org>  Sat, 27 Feb 2021 19:56:03 +0100

fsarchiver (0.8.5-2) unstable; urgency=medium

  * autopkgtest: Run xfs and ext4 test in the same testbed
  * autopkgtest: Add isolation-machine restriction to ext4 and xfs test.
    They require a loopback device which is not available in e.g. a LXC
    container.
  * autopkgtest: Add new backup-and-restore-directory.sh test.
    This tests the backup and restore of a directory (savedir/restdir) and
    checks if hard links, soft links, file system ACLs and extended
    attributes are correctly restored.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Jul 2018 02:47:01 +0200

fsarchiver (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Bump Standards-Version to 4.1.5
  * Add autopkgtest which tests backup and restore of an ext4 and xfs file
    system

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Jul 2018 12:58:31 +0200

fsarchiver (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * Add Build-Depends on libzstd-dev to enable support for zstd compression
  * Add Recommends on e2fsprogs.
    There are efforts to make e2fsprogs non-essential. By making e2fsprogs a
    Recommends instead of only a Suggests, it should automatically be
    installed on upgrades. (Closes: #887249)

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Feb 2018 12:53:29 +0100

fsarchiver (0.8.3-3) unstable; urgency=medium

  * Set Rules-Requires-Root to no
  * Update Vcs-* to point to salsa.debian.org (gitlab)
  * Bump Standards-Version to 4.1.3

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jan 2018 19:06:16 +0100

fsarchiver (0.8.3-2) unstable; urgency=medium

  * Add Build-Depends on liblz4-dev.
    This ensures that support for LZ4 compression is properly enabled.

 -- Michael Biebl <biebl@debian.org>  Sat, 23 Dec 2017 21:38:35 +0100

fsarchiver (0.8.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Change Suggests: btrfs-tools to btrfs-progs (Closes: #878918)

  [ Michael Biebl ]
  * New upstream version 0.8.3
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat level to 11

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Dec 2017 19:49:30 +0100

fsarchiver (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Bump Standards-Version to 4.1.0

 -- Michael Biebl <biebl@debian.org>  Mon, 28 Aug 2017 22:32:38 +0200

fsarchiver (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Jan 2017 23:11:17 +0100

fsarchiver (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 09 Aug 2016 23:35:13 +0200

fsarchiver (0.6.23-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8. No further changes.
  * Use canonical URLs for Vcs-* fields, switch to https and cgit.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Jun 2016 05:42:55 +0200

fsarchiver (0.6.22-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Feb 2016 15:57:55 +0100

fsarchiver (0.6.21-1) unstable; urgency=medium

  * New upstream release.
    - Fixes "Restore fails because can't umount destination".
      (Closes: #756490)
    - Fixes "FTBFS on arm64: error: conflicting types for '__le64'".
      (Closes: #791542)
  * The upstream Git repository and the release tarballs are now hosted on
    GitHub. Update debian/watch accordingly.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Update Copyright years in debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Fri, 08 Jan 2016 10:57:37 +0100

fsarchiver (0.6.19-2) unstable; urgency=medium

  * Mark fsarchiver binary package as linux-any.
  * Switch from libgcrypt11-dev to libgcrypt20-dev.

 -- Michael Biebl <biebl@debian.org>  Sun, 28 Sep 2014 23:27:36 +0200

fsarchiver (0.6.19-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Mar 2014 00:07:12 +0100

fsarchiver (0.6.18-1) unstable; urgency=medium

  * New upstream release.
  * Wrap dependencies.
  * Use autotools_dev dh addon to update config.{sub,guess}. (Closes: #727862)
  * Bump Standards-Version to 3.9.5. No further changes.
  * Remove warning from package description, fsarchiver should be reasonably
    safe to use nowadays.

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Feb 2014 05:01:18 +0100

fsarchiver (0.6.17-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2013 23:28:02 +0100

fsarchiver (0.6.16-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4. No further changes required.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Feb 2013 09:58:40 +0100

fsarchiver (0.6.15-1) unstable; urgency=low

  * New upstream release.
  * Update Copyright year.

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Jun 2012 20:33:12 +0200

fsarchiver (0.6.13-1) unstable; urgency=low

  * New upstream release.
  * Rewrite debian/copyright using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.
  * Bump debhelper compat level to 9 which will enable hardening build flags.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 17:25:50 +0100

fsarchiver (0.6.12-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Dec 2010 21:31:09 +0100

fsarchiver (0.6.11-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Dec 2010 00:03:55 +0100

fsarchiver (0.6.10-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Michael Biebl <biebl@debian.org>  Wed, 12 May 2010 02:01:05 +0200

fsarchiver (0.6.9-1) unstable; urgency=low

  * New upstream bugfix release.
  * Switch to source format 3.0 (quilt).

 -- Michael Biebl <biebl@debian.org>  Tue, 04 May 2010 23:10:27 +0200

fsarchiver (0.6.8-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 20 Feb 2010 14:39:33 +0100

fsarchiver (0.6.7-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - The files src/md5.* have been removed as libgcrypt is used now to
      generate the MD5 checksums. Update the copyright file accordingly.
  * debian/control
    - Bump Standards-Version to 3.8.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 31 Jan 2010 23:33:29 +0100

fsarchiver (0.6.6-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Jan 2010 22:14:53 +0100

fsarchiver (0.6.5-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Jan 2010 10:07:56 +0100

fsarchiver (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Add build dependency on pkg-config.
  * debian/copyright
    - Update copyright years.

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Jan 2010 20:05:55 +0100

fsarchiver (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - Add missing copyright information. (Closes: #561874)

 -- Michael Biebl <biebl@debian.org>  Mon, 28 Dec 2009 21:57:12 +0100

fsarchiver (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Dec 2009 00:11:52 +0100

fsarchiver (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #542042)

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Dec 2009 15:18:30 +0100
